# eric5.Plugins.VcsPlugins.vcsMercurial.HgStatusDialog

Module implementing a dialog to show the output of the hg status command process.

### Global Attributes

None

### Classes

HgStatusDialog | Class implementing a dialog to show the output of the hg status command process.

### Functions

None

## HgStatusDialog

Class implementing a dialog to show the output of the hg status command process.

### Derived from

QWidget, Ui_HgStatusDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgStatusDialog | Constructor
__add | Private slot to handle the Add context menu entry.
__commit | Private slot to handle the Commit context menu entry.
__commitDeselectAll | Private slot to deselect all entries from commit.
__commitSelect | Private slot to select or deselect all entries.
__commitSelectAll | Private slot to select all entries for commit.
__committed | Private slot called after the commit has finished.
__diff | Private slot to handle the Diff context menu entry.
__finish | Private slot called when the process finished or the user pressed the button.
__forget | Private slot to handle the Remove context menu entry.
__generateItem | Private method to generate a status item in the status list.
__getCommitableItems | Private method to retrieve all entries the user wants to commit.
__getMissingItems | Private method to retrieve all entries, that have a missing status.
__getModifiedItems | Private method to retrieve all entries, that have a modified status.
__getUnversionedItems | Private method to retrieve all entries, that have an unversioned status.
__lfAdd | Private slot to add a file to the repository.
__procFinished | Private slot connected to the finished signal.
__processOutputLine | Private method to process the lines of output.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__restoreMissing | Private slot to handle the Restore Missing context menu entry.
__revert | Private slot to handle the Revert context menu entry.
__sbsDiff | Private slot to handle the Diff context menu entry.
__showAddMenu | Private slot to prepare the Add button menu before it is shown.
__showContextMenu | Private slot to show the context menu of the status list.
__showError | Private slot to show some error.
__updateButtons | Private method to update the VCS buttons status.
__updateCommitButton | Private method to update the Commit button status.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_addButton_clicked | Private slot to handle the press of the Add button.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_commitButton_clicked | Private slot to handle the press of the Commit button.
on_diffButton_clicked | Private slot to handle the press of the Differences button.
on_forgetButton_clicked | Private slot to handle the press of the Forget button.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_refreshButton_clicked | Private slot to refresh the status display.
on_restoreButton_clicked | Private slot to handle the press of the Restore button.
on_revertButton_clicked | Private slot to handle the press of the Revert button.
on_sbsDiffButton_clicked | Private slot to handle the press of the Side-by-Side Diff button.
on_sendButton_clicked | Private slot to send the input to the subversion process.
on_statusFilterCombo_activated | Private slot to react to the selection of a status filter.
on_statusList_itemChanged | Private slot to act upon item changes.
on_statusList_itemSelectionChanged | Private slot to act upon changes of selected items.
start | Public slot to start the hg status command.

### Static Methods

None

#### HgStatusDialog (Constructor)

HgStatusDialog(vcs, mq=False, parent=None)

Constructor

vcs
  reference to the vcs object
mq
  flag indicating to show a queue repo status (boolean)
parent
  parent widget (QWidget)

#### HgStatusDialog.__add

__add()

Private slot to handle the Add context menu entry.

#### HgStatusDialog.__commit

__commit()

Private slot to handle the Commit context menu entry.

#### HgStatusDialog.__commitDeselectAll

__commitDeselectAll()

Private slot to deselect all entries from commit.

#### HgStatusDialog.__commitSelect

__commitSelect(selected)

Private slot to select or deselect all entries.

selected
  commit selection state to be set (boolean)

#### HgStatusDialog.__commitSelectAll

__commitSelectAll()

Private slot to select all entries for commit.

#### HgStatusDialog.__committed

__committed()

Private slot called after the commit has finished.

#### HgStatusDialog.__diff

__diff()

Private slot to handle the Diff context menu entry.

#### HgStatusDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgStatusDialog.__forget

__forget()

Private slot to handle the Remove context menu entry.

#### HgStatusDialog.__generateItem

__generateItem(status, path)

Private method to generate a status item in the status list.

status
  status indicator (string)
path
  path of the file or directory (string)

#### HgStatusDialog.__getCommitableItems

__getCommitableItems()

Private method to retrieve all entries the user wants to commit.

Returns:
  list of all items, the user has checked

#### HgStatusDialog.__getMissingItems

__getMissingItems()

Private method to retrieve all entries, that have a missing status.

Returns:
  list of all items with a missing status

#### HgStatusDialog.__getModifiedItems

__getModifiedItems()

Private method to retrieve all entries, that have a modified status.

Returns:
  list of all items with a modified status

#### HgStatusDialog.__getUnversionedItems

__getUnversionedItems()

Private method to retrieve all entries, that have an unversioned status.

Returns:
  list of all items with an unversioned status

#### HgStatusDialog.__lfAdd

__lfAdd(mode)

Private slot to add a file to the repository.

mode
  add mode (string one of 'normal' or 'large')

#### HgStatusDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### HgStatusDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgStatusDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### HgStatusDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### HgStatusDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgStatusDialog.__resort

__resort()

Private method to resort the tree.

#### HgStatusDialog.__restoreMissing

__restoreMissing()

Private slot to handle the Restore Missing context menu entry.

#### HgStatusDialog.__revert

__revert()

Private slot to handle the Revert context menu entry.

#### HgStatusDialog.__sbsDiff

__sbsDiff()

Private slot to handle the Diff context menu entry.

#### HgStatusDialog.__showAddMenu

__showAddMenu()

Private slot to prepare the Add button menu before it is shown.

#### HgStatusDialog.__showContextMenu

__showContextMenu(coord)

Private slot to show the context menu of the status list.

coord
  the position of the mouse pointer (QPoint)

#### HgStatusDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgStatusDialog.__updateButtons

__updateButtons()

Private method to update the VCS buttons status.

#### HgStatusDialog.__updateCommitButton

__updateCommitButton()

Private method to update the Commit button status.

#### HgStatusDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgStatusDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### HgStatusDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to handle the press of the Add button.

#### HgStatusDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgStatusDialog.on_commitButton_clicked

on_commitButton_clicked()

Private slot to handle the press of the Commit button.

#### HgStatusDialog.on_diffButton_clicked

on_diffButton_clicked()

Private slot to handle the press of the Differences button.

#### HgStatusDialog.on_forgetButton_clicked

on_forgetButton_clicked()

Private slot to handle the press of the Forget button.

#### HgStatusDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### HgStatusDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### HgStatusDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### HgStatusDialog.on_restoreButton_clicked

on_restoreButton_clicked()

Private slot to handle the press of the Restore button.

#### HgStatusDialog.on_revertButton_clicked

on_revertButton_clicked()

Private slot to handle the press of the Revert button.

#### HgStatusDialog.on_sbsDiffButton_clicked

on_sbsDiffButton_clicked()

Private slot to handle the press of the Side-by-Side Diff button.

#### HgStatusDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### HgStatusDialog.on_statusFilterCombo_activated

on_statusFilterCombo_activated(txt)

Private slot to react to the selection of a status filter.

txt
  selected status filter (string)

#### HgStatusDialog.on_statusList_itemChanged

on_statusList_itemChanged(item, column)

Private slot to act upon item changes.

item
  reference to the changed item (QTreeWidgetItem)
column
  index of column that changed (integer)

#### HgStatusDialog.on_statusList_itemSelectionChanged

on_statusList_itemSelectionChanged()

Private slot to act upon changes of selected items.

#### HgStatusDialog.start

start(fn)

Public slot to start the hg status command.

fn
  filename(s)/directoryname(s) to show the status of (string or list of strings)

Up